package asandatabasebrowser.action;

import java.awt.event.*;
import javax.swing.*;

import asandatabasebrowser.Global;
import asandatabasebrowser.view.DbExecuteFrame;



public class ExecuteUpdateAction extends AbstractAction {
	DbExecuteFrame frame;
	public ExecuteUpdateAction(DbExecuteFrame frame) {
		super("Execute");
		putValue(SHORT_DESCRIPTION, "<html>SQLを実行します<br>auto commitはOFFです</html>");
		putValue(LONG_DESCRIPTION, "SQLを実行します");
		putValue(SMALL_ICON, Global.getImageIcon("/resources/Run.png"));
		this.frame = frame;
	}

	public void actionPerformed(ActionEvent ev) {
		//System.out.println("ExecuteUpdateAction");
		frame.executeUpdate();
	}
}

